#import <UIKit/UIKit.h>

//! Project version number for MDMediaFrameworkWithSSL.
FOUNDATION_EXPORT double MDMediaFrameworkWithSSLVersionNumber;

//! Project version string for MDMediaFrameworkWithSSL.
FOUNDATION_EXPORT const unsigned char MDMediaFrameworkWithSSLVersionString[];

// In this header, you should import all the public headers of your framework using statements like #import <MDMediaFrameworkWithSSL/PublicHeader.h>

#import <MDMediaFrameworkWithSSL/MDMediaPlayback.h>
#import <MDMediaFrameworkWithSSL/MDMPMoviePlayerController.h>
#import <MDMediaFrameworkWithSSL/MDFFOptions.h>
#import <MDMediaFrameworkWithSSL/MDFFMoviePlayerController.h>
#import <MDMediaFrameworkWithSSL/MDAVMoviePlayerController.h>
#import <MDMediaFrameworkWithSSL/MDMediaModule.h>
#import <MDMediaFrameworkWithSSL/MDMediaPlayer.h>
#import <MDMediaFrameworkWithSSL/MDNotificationManager.h>
#import <MDMediaFrameworkWithSSL/MDKVOController.h>

// backward compatible for old names
#define MDMediaPlaybackIsPreparedToPlayDidChangeNotification MDMPMediaPlaybackIsPreparedToPlayDidChangeNotification
#define MDMoviePlayerLoadStateDidChangeNotification MDMPMoviePlayerLoadStateDidChangeNotification
#define MDMoviePlayerPlaybackDidFinishNotification MDMPMoviePlayerPlaybackDidFinishNotification
#define MDMoviePlayerPlaybackDidFinishReasonUserInfoKey MDMPMoviePlayerPlaybackDidFinishReasonUserInfoKey
#define MDMoviePlayerPlaybackStateDidChangeNotification MDMPMoviePlayerPlaybackStateDidChangeNotification
#define MDMoviePlayerIsAirPlayVideoActiveDidChangeNotification MDMPMoviePlayerIsAirPlayVideoActiveDidChangeNotification
#define MDMoviePlayerVideoDecoderOpenNotification MDMPMoviePlayerVideoDecoderOpenNotification
#define MDMoviePlayerFirstVideoFrameRenderedNotification MDMPMoviePlayerFirstVideoFrameRenderedNotification
#define MDMoviePlayerFirstAudioFrameRenderedNotification MDMPMoviePlayerFirstAudioFrameRenderedNotification
#define MDMoviePlayerFirstAudioFrameDecodedNotification MDMPMoviePlayerFirstAudioFrameDecodedNotification
#define MDMoviePlayerFirstVideoFrameDecodedNotification MDMPMoviePlayerFirstVideoFrameDecodedNotification
#define MDMoviePlayerOpenInputNotification MDMPMoviePlayerOpenInputNotification
#define MDMoviePlayerFindStreamInfoNotification MDMPMoviePlayerFindStreamInfoNotification
#define MDMoviePlayerComponentOpenNotification MDMPMoviePlayerComponentOpenNotification
#define MDMPMoviePlayerAccurateSeekCompleteNotification MDMPMoviePlayerAccurateSeekCompleteNotification
#define MDMoviePlayerSeekAudioStartNotification MDMPMoviePlayerSeekAudioStartNotification
#define MDMoviePlayerSeekVideoStartNotification MDMPMoviePlayerSeekVideoStartNotification
