//
//  MDSDLGLViewProtocol.h
//  MDSDLGLViewProtocol
//


#ifndef MDSDLGLViewProtocol_h
#define MDSDLGLViewProtocol_h

#import <UIKit/UIKit.h>

typedef struct MDOverlay MDOverlay;
struct MDOverlay {
    int w;
    int h;
    UInt32 format;
    int planes;
    UInt16 *pitches;
    UInt8 **pixels;
    int sar_num;
    int sar_den;
    CVPixelBufferRef pixel_buffer;
};

@protocol MDSDLGLViewProtocol <NSObject>
- (UIImage*) snapshot;
@property(nonatomic, readonly) CGFloat  fps;
@property(nonatomic)        CGFloat  scaleFactor;
@property(nonatomic)        BOOL  isThirdGLView;
- (void) display_pixels: (MDOverlay *) overlay;
@end

#endif /* MDSDLGLViewProtocol_h */
