//
//  MDVerification.h
//  MDMediaPlayer
//
//  Created by Apple on 2021/7/13.
//  Copyright © 2021 mudu. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

#define VerificationNotification @"VerificationNotification"

typedef void(^VerificationBlock)(id, BOOL);

@interface MDVerification : NSObject
+(id)instance;

-(void)registVerificationBlock:(VerificationBlock)block;

-(void)valid;

@end

NS_ASSUME_NONNULL_END
