#import <Foundation/Foundation.h>
#include "ijkplayer/ios/ijkplayer_ios.h"
#include "ijkplayer/ijkmeta.h"


struct MDSize {
    NSInteger width;
    NSInteger height;
};
typedef struct MDSize MDSize;

CG_INLINE MDSize
MDSizeMake(NSInteger width, NSInteger height)
{
    MDSize size;
    size.width = width;
    size.height = height;
    return size;
}



struct MDSampleAspectRatio {
    NSInteger numerator;
    NSInteger denominator;
};
typedef struct MDSampleAspectRatio MDSampleAspectRatio;

CG_INLINE MDSampleAspectRatio
MDSampleAspectRatioMake(NSInteger numerator, NSInteger denominator)
{
    MDSampleAspectRatio sampleAspectRatio;
    sampleAspectRatio.numerator = numerator;
    sampleAspectRatio.denominator = denominator;
    return sampleAspectRatio;
}



@interface MDFFMoviePlayerMessage : NSObject {
@public
    AVMessage _msg;
}
@end


@interface MDFFMoviePlayerMessagePool : NSObject

- (MDFFMoviePlayerMessagePool *)init;
- (MDFFMoviePlayerMessage *) obtain;
- (void) recycle:(MDFFMoviePlayerMessage *)msg;

@end
