//
//  MuduPlatformUser.h
//  MuduComment
//
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

typedef enum MDSupportPlatform :NSUInteger {
    Platform_Weixin, //openId
    Platform_QQ,
    Platform_Weibo,
    Platform_Dingding,
    Platform_Assign,
    Platform_WeixinUnion //unionId
}MDSupportPlatform;

@interface MDPlatformUser : NSObject

@property(nonatomic, copy) NSString *nick;
@property(nonatomic, copy) NSString *avatar;
@property(nonatomic) MDSupportPlatform type;
@property(nonatomic, copy) NSString *openId;
@property(nonatomic, copy) NSString *phone;

//token过期时间，单位：秒
@property(nonatomic, assign) NSInteger expireTime;

+(NSString *)getTypeString:(MDSupportPlatform )platform;

@end

NS_ASSUME_NONNULL_END
