//
//  MDMessageEntity.h
//  MuduComment
//
//  Created by Mudu on 2021/12/28.
//  Copyright © 2021 MuduTV. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@class MDMessage;

@interface MDMessageEntity : NSObject

@property(nonatomic, copy) NSString *msgType;
@property(nonatomic, copy) NSString *serviceType;
@property(nonatomic, copy) NSString *action; //comment,danmu:评论与弹幕；highlight：弹幕高亮
@property(nonatomic, strong) MDMessage *content;


@end



@interface MDMessage : NSObject

@property(nonatomic, assign) BOOL isAdmin;
@property(nonatomic, assign) BOOL isPushed;
@property(nonatomic, assign) int msgType;
@property(nonatomic, assign) int priority;
@property(nonatomic, assign) int id;
@property(nonatomic, copy) NSString *userHashId;
@property(nonatomic, assign) int userId;
@property(nonatomic, copy) NSString *dateline;
@property(nonatomic, copy) NSString *username;
@property(nonatomic, copy) NSString *message;
@property(nonatomic, copy) NSString *avatar;
@property(nonatomic, copy) NSString *title;
@property(nonatomic, copy) NSString *outerId;
@property(nonatomic, copy) NSString *assignId;

@end



NS_ASSUME_NONNULL_END
