//
//  EnterViewController.m
//  mudutv_ios_player
//
//  Created by Apple on 2022/4/8.
//  Copyright © 2022 MuduTV. All rights reserved.
//

#import "EnterViewController.h"
#import "ViewController.h"

@interface EnterViewController ()
@property (weak, nonatomic) IBOutlet UITextField *nicknameTF;
@property (weak, nonatomic) IBOutlet UITextField *activityIdTF;
@property (weak, nonatomic) IBOutlet UITextField *liveUrlTF;

@end

@implementation EnterViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    [self.view setBackgroundColor:[UIColor whiteColor]];
    // Do any additional setup after loading the view.

    self.activityIdTF.text = @"me3x426o";

}
- (IBAction)enterAction:(id)sender {
    
    NSString *nickname = self.nicknameTF.text;
    if([@"" isEqualToString:nickname]){
        return;
    }
    
    NSString *activityHashId = self.activityIdTF.text;
    if([@"" isEqualToString:activityHashId]){
        return;
    }
    
    NSString *liveUrl = self.liveUrlTF.text;
    if([@"" isEqualToString:liveUrl]){
        return;
    }
    
    ViewController *vc = [[UIStoryboard  storyboardWithName:@"Main" bundle:nil] instantiateViewControllerWithIdentifier:@"ViewController"];
    [vc configActivityId:activityHashId liveUrl:liveUrl nickname:nickname];
    [self.navigationController pushViewController:vc animated:YES];
}

@end
